<template>
    <lightning-card 
    variant="Narrow"
    >
    <div class="slds-text-heading_small slds-card_boundary" style="margin-bottom: -2px;">
        <template if:true={referralsWQR}>
            <lightning-icon icon-name="custom:custom83" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                <!-- <a href={referralsLink}> -->
                    Referrals
                <!-- </a> -->
            </h1>
            </template>
        <template if:true={recallsWQR}>
            <lightning-icon icon-name="custom:custom18" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                <!-- <a href={recallsLink}> -->
                    Recalls
                <!-- </a> -->
            </h1>
        </template>
        <template if:true={waitlistsWQR}>
            <lightning-icon icon-name="custom:custom95" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                <!-- <a href={waitlistsLink}> -->
                    Wait Lists
                <!-- </a> -->
            </h1>
        </template>
        <template if:true={providerOrdersWQR}>
            <lightning-icon icon-name="custom:custom58" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                    Provider Orders
            </h1>
        </template>
        <template if:true={healthMaintWQR}>
            <lightning-icon icon-name="custom:custom63" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                    Health Maintenance
            </h1>
        </template>
        <template if:true={dismissalWQR}>
            <lightning-icon icon-name="custom:custom63" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                    Dismissals
            </h1>
        </template>
        <template if:true={fyiFlagWQR}>
            <lightning-icon icon-name="custom:custom63" style="float: left;margin-right: 10px;"></lightning-icon>
            <h1 slot="title" style="font-weight:800;margin-top:5px">
                    FYI Flags
            </h1>
        </template>
        <div slot="actions" style="float:right;margin-top: -25px;font-size: 13px;">
            <template if:true={allowNew}>
                <!-- <lightning-button label="New" slot="actions" onclick={handleCreate}></lightning-button> -->
            </template>
        </div>
    </div>
    
    <template if:false={createNewGuar} class="slds box">
        <div style="width: auto;border:1px solid lightgray;border-top:0px !important;">
            <template if:true={referralsWQR}>
                <lightning-datatable 
                data={referralInfos} 
                columns={columnsReferrals} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={recallsWQR}>
                <lightning-datatable 
                data={recallInfos} 
                columns={columnsRecalls} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={waitlistsWQR}>
                <lightning-datatable 
                data={waitlistInfos} 
                columns={columnsWaitlists} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={providerOrdersWQR}>
                <lightning-datatable 
                data={OrderInfos} 
                columns={columnsOrders} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={healthMaintWQR}>
                <lightning-datatable 
                data={healthMaintInfos} 
                columns={columnsHealthMaint} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={dismissalWQR}>
                <lightning-datatable 
                data={dismissalInfos} 
                columns={columnsDismissal} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
            <template if:true={fyiFlagWQR}>
                <lightning-datatable 
                data={fyiFlagInfos} 
                columns={columnsFyiFlag} 
                key-field="id"
                sorted-by={sortBy}
                sorted-direction={sortDirection}
                onsort={handleSortdata}
                hide-checkbox-column="true"></lightning-datatable>
            </template>
        </div>
        <!-- Spinner -->
        <!-- <div if:true={showLoadingSpinner}>
            <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
        </div> -->
            <!-- Detail view modal -->
            <template if:true={bShowModal}>
                <section role="dialog" tabindex="-1"
                        aria-labelledby="modal-heading-01"
                        aria-modal="true"
                        aria-describedby="modal-content-id-1"
                        class="slds-modal slds-fade-in-open">
                <div class="slds-modal__container">
                    <!-- modal header -->
                    <header class="slds-modal__header">
                        <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                            <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
                        </button>
                        <!-- <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate" if:true={isViewForm}>View Record</h2> -->
                        <!-- <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record</h2> -->
                        <template if:true={allowNew}>
                            <!-- <h2 id="modal-heading-03" class="slds-text-heading_medium slds-hyphenate" if:true={isCreateForm}>Create New Referral</h2> -->
                        </template>
                    </header>
                    <!-- modal body -->
                    <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">

                        <!-- view record -->
                        <!-- <div if:true={isViewForm} class="slds-theme_default">
                            <div class="slds-m-around_medium">
                                <lightning-input label="Name" type="text" disabled value={record.Name} class="plan-name slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Referred To Provider Specialty" type="text" disabled value={record.Referred_to_Provider_Specialty__c} class="group-number slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Id"  data-id="id-view" disabled value={record.Id} class="slds-m-bottom_x-small"></lightning-input>
                            </div>
                        </div> -->
                        
                        <!-- edit record -->
                        <!-- <div if:true={isEditForm} class="slds-theme_default">
                            <div class="slds-m-around_medium">
                            <lightning-record-edit-form 
                                layout-type="Full" 
                                record-id={currentRecordId} 
                                object-api-name={referralInfoObject}
                                onsubmit={handleSubmit} 
                                onsuccess={handleSuccess}>
                                
                                <lightning-messages></lightning-messages>

                                <lightning-input-field field-name={nameField} required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name={referredtospecialtyField} required="true">
                                </lightning-input-field>                       
                                <div style="text-align:center;">
                                <lightning-button 
                                    class="slds-m-top_small"
                                    variant="brand"
                                    type="submit"
                                    name="update"
                                    label="Update Record">
                                </lightning-button>
                                </div>
                            </lightning-record-edit-form>
                            </div>
                        </div> -->

                        <!-- create record
                        <template if:true={allowNew}>
                            <div if:true={isCreateForm} class="slds-theme_default">
                                <div class="slds-m-around_medium">
                                <lightning-record-edit-form
                                    object-api-name={referralInfoObject}
                                    onsubmit={handleCreatedSubmit}
                                    onsuccess={handleSuccess}>

                                    <lightning-messages></lightning-messages>
                                    
                                    <lightning-input-field field-name={nameField} required="true">
                                    </lightning-input-field>
                                    <lightning-input-field field-name={referredtospecialtyField} required="true">
                                    </lightning-input-field>
                                    <lightning-input-field field-name={accountField} disabled value={recordId} class="slds-m-bottom_x-small">
                                    </lightning-input-field> -->
                                    <!-- <div style="text-align:center;">
                                    <lightning-button 
                                        class="slds-m-top_small"
                                        variant="brand"
                                        type="submit"
                                        name="update"
                                        label="Create Record">
                                    </lightning-button>
                                    </div>
                                </lightning-record-edit-form>
                                </div>
                            </div>
                        </template> --> 

                    </div>

                    <!-- modal footer start-->
                    <footer class="slds-modal__footer">
                        <lightning-button 
                            variant="brand-outline"
                            label="Close"
                            title="Close"
                            icon-name="utility:close"
                            class="slds-float_right"
                            onclick={closeModal}>
                        </lightning-button>
                    </footer>
                </div>
                </section>
                <div class="slds-backdrop slds-backdrop_open"></div>
            </template>
        </template>
    </lightning-card>   
</template>